Skip to main content
Server path: /sharepoint | Type: Application | PCID required: Yes

Tools


sharepoint_add_list_item

Add list item to a sharepoint list Parameters:

sharepoint_copy_item

Copy file/folder item in a sharepoint drive or document library to a new parent folder Parameters:

sharepoint_create_column

Create column in sharepoint list with siteId & listId. Supported types: text, dateTime, number, choice, boolean Parameters:

sharepoint_create_folder

Create folder in a sharepoint drive or document library Parameters:

sharepoint_create_list

Create a new list in the specified sharepoint id Parameters:

sharepoint_delete_column

Delete column in sharepoint list Parameters:

sharepoint_delete_item

Delete file or folder item from a sharepoint drive or document library Parameters:

sharepoint_delete_list

Delete sharepoint list from a siteId given its listId Parameters:

sharepoint_delete_list_item

Delete list item Parameters:

sharepoint_download_file

Download file from SharePoint. IN WORKFLOWS: Files are automatically saved to Node Outputs - no manual save step needed. By default, automatically extracts text from supported document formats (PDF, DOCX, PPTX, XLSX) and includes it in the response. Text files (TXT, CSV) do not need extraction. STREAMING IS PREFERRED: Use stream=true (default) to get a downloadUrl for efficient downloading of large files. Only use stream=false for small files (<2MB) that need immediate processing. Parameters:

sharepoint_get_item_by_path

Get item by path in a sharepoint drive or document library Parameters:

sharepoint_get_list_by_name

Get list by name and site id in sharepoint Parameters:

sharepoint_get_list_item

Get item by itemId from a sharepoint list Parameters:

sharepoint_get_list_items

Batch get list items in SharePoint Parameters:

sharepoint_get_list_schema

Get list schema (columns) for a listId & siteId in sharepoint Parameters:

sharepoint_get_lists

List all lists in the specified site Parameters:

sharepoint_get_root_site_from_url

Extract root site ID from subsite URLs. Only accepts direct paths: https://<tenant>.sharepoint.com/<RootSite>/<SubSite>[/<Drive>] (excludes /sites/ and /teams/ collections). Parameters:

sharepoint_list_drives

Get all document libraries(drives) in the specified site Parameters:

sharepoint_list_folder_contents

List folder contents in a sharepoint drive or document library. If itemId not provided, gets root folder contents. Parameters:

sharepoint_list_sites

List all available sites for specified Pink Connect ID

sharepoint_list_subsites_for_root_site

List all subsites under a root site identified by rootSiteId. The rootSiteId should come from a custom-root URL (not /sites or /teams) obtained via sharepoint_get_root_site_from_url. Parameters:

sharepoint_move_item

Move file/folder item in a sharepoint drive or document library to a new parent folder Parameters:

sharepoint_search_sites_by_query

Searches sites for the specified Pink Connect ID by query Parameters:

sharepoint_update_column

Update column (rename, etc.) in sharepoint list Parameters:

sharepoint_update_item_metadata

Update file/folder metadata in a sharepoint drive or document library Parameters:

sharepoint_update_list_item

Update list item in a sharepoint list Parameters:

sharepoint_upload_file

Upload file to a sharepoint drive or document library folder path Parameters: